@echo off
rem Batch file to launch 'javadoc' using Taurus Java VM
rem (C) Copyright 2003-4, Taurus Software

rem
rem Change PLATFORM to suit your target platform
rem

set PLATFORM=win32

rem
rem Don't change anything below this line
rem

rem If TJVM_HOME is unset, assume we are in 'bin' folder
rem

if "%TJVM_HOME%" == "" set TJVM_HOME=..

rem Make sure binary exists
rem

if exist %TJVM_HOME%\%PLATFORM%\javavm.exe goto run

rem Can't find exe, so report an error
rem

echo Can't find javavm.exe in "%TJVM_HOME%\%PLATFORM%"
echo Try setting TJVM_HOME before running this script.
goto end

:run

rem Run the exe with the supplied args
rem

%TJVM_HOME%\%PLATFORM%\javavm.exe sun/tools/javadoc/Main %1 %2 %3 %4 %5


:end
rem exit
